Get Contact by email
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
|
Email of contact |
string |
Required |
Body Parameters :
None.
Response Information
Resource Description :
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "b8a4e0db-016f-452d-935f-03d72a5c8a18",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "50f17ed6-aeab-4cf2-9836-5c7a1452bfa0",
"company_code": "sample string 5",
"company": {
"id": "b563980a-1704-4ec5-bfe7-04ef8d49b589",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-06T12:52:11.4721192+00:00",
"sales_territory_id": "5dcc4241-f7b3-4f84-bbc6-75209ad10d8d",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "e321d565-54e2-442c-b8fe-2335b04afd27",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "78a99c0f-1695-465c-9ecd-9ab4f510f790",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "317f7a66-14d3-46b6-802f-8bcc09ef9b57",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "6a0e51bc-36aa-4497-bac1-66842d7c2399",
"db_currency_id": "b6a99c5c-b1ef-418e-ba2f-1c57f64f42a7",
"db_language_id": "acc2f02a-5b4c-4233-a164-ee17c9d6ae25",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-06T12:52:11.4721192+00:00"
},
"modified_dateutc": "2026-11-06T12:52:11.4721192+00:00"
},
"marketing_segment_id": "570892d8-6e4b-4df0-94c4-f9dffe03d8d8",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "30565b66-c086-42af-93a7-0f3565cd5cb6",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "eef008d7-3043-4451-b9d9-2a62d8be5c48",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "0b8e5273-0dbf-45ec-9e87-6edbd34d2134",
"db_country_code": "sample string 28",
"feelist_id": "c76709ab-d46a-410f-a65d-3e113ca45212",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "b821f4a7-e61e-4d6c-b2b3-e33511eb2a36",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "3e8c6db6-53b0-4989-8d3b-07ba8793128d",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-06T12:52:11.4895929+00:00",
"db_currency_id": "7876cb02-2817-4445-ad05-e87087d6432a",
"db_currency_code": "sample string 10"
},
"company_type_id": "fc6ee155-9058-454e-8523-154d1210696f",
"company_type_name": "sample string 32",
"company_type": {
"id": "756985e2-e0ed-496f-824d-ec00c1990740",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "0683722c-7782-4448-995b-ca61f2785517",
"sales_organization_code": "sample string 5"
},
"db_language_id": "a6b9e554-d2d9-4e56-9500-c010ed0d7bf4",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "9bd06c18-bc30-442f-a82b-c9e00128f2a7",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "4d470d2a-5d91-4829-9a12-94b73ae1ee1f",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "71044103-a199-4a51-9e77-1cccc76a74bb",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-06T12:52:11.4895929+00:00"
},
"company_sector_id": "d735d24f-ed67-4bf7-8513-cf798f85dae3",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "c52bdb14-faba-4222-b219-d3d2c6980b4f",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "79b93aef-c2d6-4c74-8277-883b941f4cf7",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "f25df0f8-631f-493d-960b-3c8d5c07e735",
"account_manager_user_code": "sample string 56",
"company_status_id": "0b87ef1d-0ef1-4153-8e5e-3114c06e8390",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-06T12:52:11.4895929+00:00",
"id2": 60
},
"db_language_id": "dc5621a3-f65b-4af8-9b94-379796299617",
"db_language_code": "sample string 7",
"db_title_id": "74527c4e-6251-4fd8-8dce-5775e3b7d5b5",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-06T12:52:11.4895929+00:00",
"create_date": "2026-11-06T12:52:11.4895929+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-06T12:52:11.4895929+00:00"
}